#ifndef __sphericalgeomentry_h__
#define __sphericalgeomentry_h__

#include <math.h>

class SphericalGeometry
{
public:
    static float getDistance(float l1, float b12, float l2, float b2);
    
    inline static float deg2rad(float a)
    {
        return M_PI * a / 180.0;
    }

    inline static float rad2deg(float r)
    {
        return 180.0 * r / M_PI;
    }
    
private:
    static const float Re;
};

#endif // __sphericalgeomentry_h__

